Subject: Re: bug#74382: `compile-first` Make rule is no longer using `load-prefer-newer`

From: Gerd Möllmann <[email-masked]>
Date: Mon, 18 Nov 2024 05:06:05 +0100

Konstantin Kharlamov <[email-masked]> writes:

> Even Gerd in this discussion forgot about this peculiarity — and
> Gerd unlike me is a regular Emacs developer.

Even worse, even worse: He wrote that stuff! But I think I'll excuse him
because that was 25 years ago, and he took a 20 year break from Emacs,
after stepping down, and he's old of course :-).

Seriously, maybe knowing a bit of history helps understand the current
situation wrt .elc files? One wouldn't believe it nowadays, but they
were originally in version control, i.e. RCS, and later CVS. I didn't
want that in the public CVS repo we set up for Emacs 21, so I added the
ability to bootstrap and removed the .elc files from CVS. COMPILE_FIRST
and so on are part of the bootstrapping support.

Rewriting the build system to follow some standard (if it existed back
then, which I don't remember), was not important to me. There were so
many other things to do.